yetus-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bus...@apache.org
Subject yetus git commit: YETUS-469 Allow running docker as root.
Date Tue, 29 Nov 2016 19:14:07 GMT
Repository: yetus
Updated Branches:
  refs/heads/master c55ae3d27 -> fb78daa4a


YETUS-469 Allow running docker as root.

Made the error for user/group permissions to be non fatal.
The error will still be seen on the console. However, it wont be fatal.

Signed-off-by: Sean Busbey <busbey@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/yetus/repo
Commit: http://git-wip-us.apache.org/repos/asf/yetus/commit/fb78daa4
Tree: http://git-wip-us.apache.org/repos/asf/yetus/tree/fb78daa4
Diff: http://git-wip-us.apache.org/repos/asf/yetus/diff/fb78daa4

Branch: refs/heads/master
Commit: fb78daa4a55b75276b2db3c034ae06724ed91206
Parents: c55ae3d
Author: sacharya <sacharya@cloudera.com>
Authored: Sat Nov 19 16:43:48 2016 -0600
Committer: Sean Busbey <busbey@apache.org>
Committed: Tue Nov 29 13:13:04 2016 -0600

----------------------------------------------------------------------
 precommit/core.d/docker.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/yetus/blob/fb78daa4/precommit/core.d/docker.sh
----------------------------------------------------------------------
diff --git a/precommit/core.d/docker.sh b/precommit/core.d/docker.sh
index 2dae49d..e933883 100755
--- a/precommit/core.d/docker.sh
+++ b/precommit/core.d/docker.sh
@@ -552,9 +552,9 @@ FROM ${baseimagename}
 LABEL org.apache.yetus=""
 LABEL org.apache.yetus.testpatch.patch="tp-${DOCKER_ID}"
 LABEL org.apache.yetus.testpatch.project=${PROJECT_NAME}
-RUN groupadd --non-unique -g ${GROUP_ID} ${USER_NAME}
-RUN useradd -g ${GROUP_ID} -u ${USER_ID} -m ${USER_NAME}
-RUN chown -R ${USER_NAME} /home/${USER_NAME}
+RUN groupadd --non-unique -g ${GROUP_ID} ${USER_NAME} || true
+RUN useradd -g ${GROUP_ID} -u ${USER_ID} -m ${USER_NAME} || true
+RUN chown -R ${USER_NAME} /home/${USER_NAME} || true
 ENV HOME /home/${USER_NAME}
 USER ${USER_NAME}
 PatchSpecificDocker


Mime
View raw message